# PyCoMo
## What is PyCoMo?
PyCoMo is a python 3 package for the creation and analysis of community metabolic models. More specifically, PyCoMo generates compartmentalized community metabolic models with a structure allowing simulations under fixed growth rate, but variable abundance profile, or fixed abundance profile and variable community growth rate. The community metabolic models generated by PyCoMo can switch between these two structures and retain the original reaction bounds of the input member models. As also all metabolites, reactions, genes and compartments are directly attributable to their member of origin, PyCoMo community metabolic models are fully reusable.

The community models can be analysed with PyCoMo to predict all feasible exchange metabolites and cross-feeding interactions, for the whole space of growth rate and abundance profiles. The community models are COBRApy models and can therefor be directly used by other COBRA methods. It is also possible to save and load the community models in SBML format, allowing to share and reuse the models built with PyCoMo.

## Installation
For installing PyCoMo download or clone the repository to your machine.
```
git clone https://github.com/univieCUBE/PyCoMo
```
Run pip install on the folder containing the PyCoMo repository.
```
pip install path/to/PyCoMo
```

## Usage guide
PyCoMo can be imported in Python as any other package. Please look through the tutorial for a walkthrough of all the options generating and analysing community metabolic models (available as ipython notebook, python file and pdf).

PyCoMo can also be used via its command line interface. After installation, run ```pycomo -h``` or ```pycomo --help``` to see all options.
## Citing PyCoMo
At the present moment we are still working on the final stages of the manuscript. Once it is made public, a citation note will be included at this place.
